/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.log.resourcebundle;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoLogMessage]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoLogMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoLogMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoLogMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoLogMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoLogMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoLogMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoLogMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoLogMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoLogMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoLogMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoLogMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoLogMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoLogMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB001]
     *
     * [[MBLGB001] バイナリログファイルの出力先となる基準ディレクトリ[{0}]の作成に失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB001] バイナリログファイルの出力先となる基準ディレクトリ[{0}]の作成に失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB002]
     *
     * [[MBLGB002] バイナリログファイルの出力先となるディレクトリ(年月日つき)[{0}]の作成に失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb002(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB002] バイナリログファイルの出力先となるディレクトリ(年月日つき)[{0}]の作成に失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB002");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB003]
     *
     * [[MBLGB003] バイナリログファイルを出力するファイル[{0}]の新規作成に失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb003(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB003] バイナリログファイルを出力するファイル[{0}]の新規作成に失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB003");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB004]
     *
     * [[MBLGB004] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb004(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB004] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB004");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB005]
     *
     * [[MBLGB005] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb005(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB005] バイナリログファイルを出力するファイル[{0}]の新規作成時に例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB005");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB006]
     *
     * [[MBLGB006] バイナリログファイルを出力するファイル[{0}]への書き込みに失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB006]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb006(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB006] バイナリログファイルを出力するファイル[{0}]への書き込みに失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB006");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB007]
     *
     * [[MBLGB007] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB007]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb007(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB007] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB007");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB008]
     *
     * [[MBLGB008] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB008]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb008(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB008] バイナリログファイルを出力するファイル[{0}]への書き込み時に例外が発生しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB008");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB009]
     *
     * [[MBLGB009] バイナリログファイルを出力するファイル[{0}]のロック取得に失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB009]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb009(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB009] バイナリログファイルを出力するファイル[{0}]のロック取得に失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB009");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB010]
     *
     * [[MBLGB010] バイナリログファイルを出力するファイル[{0}]のロック解放に失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB010]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb010(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB010] バイナリログファイルを出力するファイル[{0}]のロック解放に失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB010");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB011]
     *
     * [[MBLGB011] バイナリログファイルを出力するファイル[{0}]のチャネルクローズに失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB011]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb011(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB011] バイナリログファイルを出力するファイル[{0}]のチャネルクローズに失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB011");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGB012]
     *
     * [[MBLGB012] バイナリログファイルを出力するファイル[{0}]のクローズに失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGB012]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblgb012(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGB012] バイナリログファイルを出力するファイル[{0}]のクローズに失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGB012");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoLogMessage], key[MBLGLG01]
     *
     * [[MBLGLG01] Apache log4j クラスの読み込みに失敗しました。クラスパスに Apache log4j の jarファイルが適切に含まれていることを確認してください:{0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBLGLG01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMblglg01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "[MBLGLG01] Apache log4j クラスの読み込みに失敗しました。クラスパスに Apache log4j の jarファイルが適切に含まれていることを確認してください:{0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBLGLG01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }
}
